
Responsive Multiselect built with the latest Bootstrap 5. Unlike a normal select, multiselect allows the user to select multiple options at once.

Check out [Bootstrap Multiselect Documentation](https://mdbootstrap.com/docs/standard/extended/multiselect/) for detailed instructions & even more examples.

## Basic example

![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/basic.png)

```html
<select class="select" multiple>
  <option value="1">One</option>
  <option value="2">Two</option>
  <option value="3">Three</option>
  <option value="4">Four</option>
  <option value="5">Five</option>
  <option value="6">Six</option>
  <option value="7">Seven</option>
  <option value="8">Eight</option>
</select>
```


## How to use?

1. Download MDB 5 - free UI KIT

2. Choose your favourite customized component and click on the image

3. Copy & paste the code into your MDB project

[▶️ Subscribe to YouTube channel for web development tutorials & resources](https://www.youtube.com/MDBootstrap?sub_confirmation=1)

## More examples

[Bootstrap Multiselect with label:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/with-label.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-select-with-label)

[Bootstrap Multiselect with placeholder:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/with-placeholder.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-select-with-placeholder)

[Bootstrap Disabled multiselect:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/disabled.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-disabled-select)

[Bootstrap Multiselect disabled options:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/disabled-options.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-disabled-options)

[Bootstrap Multiselect clear button:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/clear.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-clear-button)

[Bootstrap Multiselect custom content:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/custom.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-custom-content)

[Bootstrap Multiselect visible options:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/visible.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-visible-options)

[Bootstrap Multiselect secondary text:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/secondary.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-secondary-text)

[Bootstrap Multiselect search:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/search.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-search)

[Bootstrap Multiselect select with search inside a modal:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/modal.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-search-inside-modal)

[Bootstrap Multiselect option groups:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/options.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-option-groups)

[Bootstrap Multiselect with icons:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/icons.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-icons)

[Bootstrap Multiselect validation:
![Bootstrap 5 Multiselect](https://mdbootstrap.com/img/Marketing/github/multiselect/validation.png)](https://mdbootstrap.com/docs/standard/extended/multiselect/?#section-validation)


___

## More extended Bootstrap documentation

<ul>
<li><a href="https://mdbootstrap.com/docs/standard/extended/bootstrap-address-form/">Bootstrap Address Form</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/avatar/">Bootstrap Avatar</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/back-to-top/">Bootstrap Back To Top Button</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/carousel-with-thumbnails/">Bootstrap Carousel Slider with Thumbnails</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/chat/">Bootstrap Chat</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/code/">Bootstrap Code Blocks</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/comments/">Bootstrap Comments</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/bootstrap-comparison-table/">Bootstrap Comparison Table</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/credit-card/">Bootstrap Credit Card Form</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/drawer/">Bootstrap Drawer</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/dropdown-multilevel/">Bootstrap Nested Dropdown</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/faq/">Bootstrap FAQ component / section</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/gallery/">Bootstrap Gallery</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/hamburger-menu/">Bootstrap Hamburger Menu</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/bootstrap-invoice/">Bootstrap Invoice</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/jumbotron/">Bootstrap Jumbotron</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/login/">Bootstrap Login Form</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/maps/">Bootstrap Maps</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/media-object/">Bootstrap Media Object</a></li>
<li><a href="https://mdbootstrap.com/docs/standard/extended/mega-menu/">Bootstrap Mega Menu</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/multiselect/">Bootstrap Multiselect</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/news-feed/">Bootstrap News Feed</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/offcanvas/">Bootstrap Offcanvas</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/order-details/">Bootstrap Order Details</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/page-transitions/">Bootstrap Page Transitions</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/payment-forms/">Bootstrap Payment Forms</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/product-cards/">Bootstrap Product Cards</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/profiles/">Bootstrap Profiles</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/quotes/">Bootstrap Quotes</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/registration/">Bootstrap Registration Form</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/search-expanding/">Bootstrap Expanding Search Bar</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/shopping-carts/">Bootstrap Shopping Carts</a></li> 
<li><a href="https://mdbootstrap.com/docs/standard/extended/side-navbar/">Bootstrap Side Navbar</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/sidebar/">Bootstrap Sidebar</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/social-media/">Bootstrap Social Media Icons & Buttons</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/square-buttons/">Bootstrap Square Buttons</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/bootstrap-survey-form/">Bootstrap Survey Form</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/testimonial-slider/">Bootstrap Testimonial Slider</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/testimonials/">Bootstrap Testimonials</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/textarea/">Bootstrap Textarea</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/timeline/">Bootstrap Timeline</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/to-do-list/">Bootstrap To Do List</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/video-carousel/">Bootstrap Video Carousel / Gallery</a></li>  
<li><a href="https://mdbootstrap.com/docs/standard/extended/weather/">Bootstrap Weather</a></li>  
</ul>
